## Index

### Functions

- HKDF
- computePoly1305
- encryptAndSeal
- getPadding
- verifyAndDecrypt

## Functions

### HKDF

- HKDF(hashAlg: string, salt: Buffer, ikm: Buffer, info: Buffer, size: number): Buffer

- - Defined in src/lib/util/encryption.ts:67

  #### Parameters

  - ##### hashAlg: string

  - ##### salt: Buffer

  - ##### ikm: Buffer

  - ##### info: Buffer

  - ##### size: number

  #### Returns Buffer

### computePoly1305

- computePoly1305(cipherText: Buffer, AAD: Buffer, nonce: Buffer, key: Buffer): Buffer

- - Defined in src/lib/util/encryption.ts:6

  #### Parameters

  - ##### cipherText: Buffer

  - ##### AAD: Buffer

  - ##### nonce: Buffer

  - ##### key: Buffer

  #### Returns Buffer

### encryptAndSeal

- encryptAndSeal(plainText: Buffer, AAD: Buffer, nonce: Buffer, key: Buffer): Buffer[]

- - Defined in src/lib/util/encryption.ts:50

  #### Parameters

  - ##### plainText: Buffer

  - ##### AAD: Buffer

  - ##### nonce: Buffer

  - ##### key: Buffer

  #### Returns Buffer[]

### getPadding

- getPadding(buffer: any, blockSize: any): Buffer

- - Defined in src/lib/util/encryption.ts:61

  #### Parameters

  - ##### buffer: any

  - ##### blockSize: any

  #### Returns Buffer

### verifyAndDecrypt

- verifyAndDecrypt(cipherText: Buffer, mac: Buffer, AAD: Buffer, nonce: Buffer, key: Buffer): Buffer

- - Defined in src/lib/util/encryption.ts:34

  #### Parameters

  - ##### cipherText: Buffer

  - ##### mac: Buffer

  - ##### AAD: Buffer

  - ##### nonce: Buffer

  - ##### key: Buffer

  #### Returns Buffer

Generated using TypeDoc